component: ZiodRouterDiag
proto_imports:
  - base/diag/monitors/hysteresis/messages.proto
  - teleop/ziod/router/routing_service.proto
metric: zoox::teleop::ThroughputMetrics
namespace: zoox::teleop
faults:
  - id: 1
    name: ThroughputSamplesLow
    severity: WARNING
    description: Average throughput of samples is lower than expected
    freeze_frame: zoox.diag.DoubleHysteresisFreezeFrame
  - id: 2
    name: ThroughputSamplesHigh
    severity: WARNING
    description: Average throughput of samples is higher than expected
    freeze_frame: zoox.diag.DoubleHysteresisFreezeFrame
  - id: 3
    name: ThroughputBytesLow
    severity: WARNING
    description: Average throughput is lower than expected
    freeze_frame: zoox.diag.DoubleHysteresisFreezeFrame
  - id: 4
    name: ThroughputBytesHigh
    severity: WARNING
    description: Average throughput is higher than expected
    freeze_frame: zoox.diag.DoubleHysteresisFreezeFrame
  - id: 5
    name: InputOutputLatencyHigh
    severity: WARNING
    description: Time taken to transform input to output is higher than expected
    freeze_frame: zoox.diag.DoubleHysteresisFreezeFrame
  - id: 6
    name: ReportingStale
    severity: WARNING
    description: Routing service entity stopped reporting
